## org.eclipse.datatools.connectivity.oda.design
Interface DocumentRoot

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

    public interface DocumentRoot

extends org.eclipse.emf.ecore.EObject

The following features are supported:

- `Mixed`
- `XMLNS Prefix Map`
- `XSI Schema Location`
- `Oda Design Session`

See Also:
  `DesignPackage.getDocumentRoot()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`org.eclipse.emf.ecore.util.FeatureMap` `getMixed()` Returns the value of the 'Mixed' attribute list.
`OdaDesignSession` `getOdaDesignSession()` Returns the value of the 'Oda Design Session' containment reference.
`org.eclipse.emf.common.util.EMap<java.lang.String,java.lang.String>` `getXMLNSPrefixMap()` Returns the value of the 'XMLNS Prefix Map' map.
`org.eclipse.emf.common.util.EMap<java.lang.String,java.lang.String>` `getXSISchemaLocation()` Returns the value of the 'XSI Schema Location' map.
`void` `setOdaDesignSession(OdaDesignSession value)` Sets the value of the '`Oda Design Session`' containment reference.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getMixed

    org.eclipse.emf.ecore.util.FeatureMap getMixed()

  Returns the value of the 'Mixed' attribute list. The list contents are of type `FeatureMap.Entry`.

  Returns:
    the value of the 'Mixed' attribute list.
  See Also:
    `DesignPackage.getDocumentRoot_Mixed()`

### getXMLNSPrefixMap

    org.eclipse.emf.common.util.EMap<java.lang.String,java.lang.String> getXMLNSPrefixMap()

  Returns the value of the 'XMLNS Prefix Map' map. The key is of type `String`, and the value is of type `String`,

  Returns:
    the value of the 'XMLNS Prefix Map' map.
  See Also:
    `DesignPackage.getDocumentRoot_XMLNSPrefixMap()`

### getXSISchemaLocation

    org.eclipse.emf.common.util.EMap<java.lang.String,java.lang.String> getXSISchemaLocation()

  Returns the value of the 'XSI Schema Location' map. The key is of type `String`, and the value is of type `String`,

  Returns:
    the value of the 'XSI Schema Location' map.
  See Also:
    `DesignPackage.getDocumentRoot_XSISchemaLocation()`

### getOdaDesignSession

    OdaDesignSession getOdaDesignSession()

  Returns the value of the 'Oda Design Session' containment reference. Definition of an ODA design session on a Data Access Design.

  Returns:
    the value of the 'Oda Design Session' containment reference.
  See Also:
    `setOdaDesignSession(OdaDesignSession)`, `DesignPackage.getDocumentRoot_OdaDesignSession()`

### setOdaDesignSession

    void setOdaDesignSession(OdaDesignSession value)

  Sets the value of the '`Oda Design Session`' containment reference.

  Parameters:
    `value` - the new value of the 'Oda Design Session' containment reference.
  See Also:
    `getOdaDesignSession()`